﻿@model MvcWebsiteOcc.Areas.administrators.Models.CarModel

@{
    ViewBag.Title = "Thêm dòng xe";
    ViewBag.Description = "tin bài";
    Layout = "~/Areas/administrators/Views/Shared/_adminOcc.cshtml";
}

@{
    IEnumerable<MvcWebsiteOcc.Models.Language> langs = ViewBag.LangList;
    //MvcWebsiteOcc.Areas.administrators.Models.WebsiteDetail detail = ViewBag.Detail;
    IEnumerable<MvcWebsiteOcc.Areas.administrators.Models.CarModel> linkObjs = ViewBag.LinkObjs;
    MvcWebsiteOcc.Areas.administrators.Models.CarModel linkObj = ViewBag.LinkObj;
}

@using (Html.BeginForm())
{    
    @Html.AntiForgeryToken()
    @Html.ValidationSummary(true)
    <input type="hidden" id="editID" name="editID" value="@Model.ModID" />
    @Html.HiddenFor(m => m.ModID)
    <div class="row">
        <div class="col-lg-12 col-sm-12 col-xs-12">
            <div class="widget">
                <div class="widget-header header-large" style="display: block;">
                    <span class="widget-caption">@ViewBag.Title</span>
                    <div class="widget-buttons">
                        <button type="button" class="btn btn-darkorange " onclick="window.location.href='/administrators/car_manager/car_models_manager'">
                            <i class="fa fa-arrow-left"></i>
                            Hủy
                        </button>
                        <button class="btn btn-success " name="save" type="submit" value="save">Lưu <i class="fa fa-check right"></i></button>
                        @*<button class="btn btn-success " name="save" type="submit" value="save & next">Lưu & Thêm mới  <i class=" glyphicon glyphicon-retweet right"></i></button>*@
                        <a href="#" data-toggle="maximize">
                            <i class="fa fa-expand"></i>
                        </a>
                    </div>
                </div>
                <div class="widget-body">
                    <div class="widget-main">
                        <div class="row">
                            <div class="tabbable col-lg-12 col-sm-12 col-xs-12">
                                <ul class="nav nav-tabs  tabs-flat">
                                    <li class="active"><a data-toggle="tab" href="#info" aria-expanded="false">Thông tin chung</a></li>
                                    @*<li class=""><a data-toggle="tab" href="#@lang.Lang_Code" aria-expanded="false">
                                            <img src="/Uploaded/images/language/@lang.Lang_Flag">
                                            @lang.Lang_Name</a></li>  *@
                                </ul>
                                <div class="tab-content  tabs-flat">
                                    <div class="tab-pane active" id="info">
                                        <div id="registration-form">
                                            <div class="row">
                                                <div class="tabbable col-lg-7 col-sm-7 col-xs-12">
                                                    <div class="form-title">
                                                        Thông tin
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.ModName)</label>

                                                        @Html.TextBoxFor(p => p.ModName, new { @class = "form-control" })

                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.ModName)</span>
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.ModBrand)</label>

                                                        @Html.TextBoxFor(p => p.ModBrand, new { @class = "form-control" })

                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.ModBrand)</span>
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.ModColor)</label>

                                                        @Html.TextBoxFor(p => p.ModColor, new { @class = "form-control" })

                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.ModColor)</span>
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.ModYear)</label>

                                                        @Html.TextBoxFor(p => p.ModYear, new { @class = "form-control" })

                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.ModYear)</span>
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="emailInput">@Html.LabelFor(model => model.ModDescription)</label>

                                                        @Html.TextAreaFor(p => p.ModDescription, new { @class = "form-control summernote textAuto" })
                                                        <span class="help-block warning">@Html.ValidationMessageFor(p => p.ModDescription)</span>
                                                    </div>
                                                </div>


                                                <div class="tabbable col-lg-5 col-sm-5 col-xs-12">
                                                    <div class="form-title">
                                                        Ngôn ngữ
                                                    </div>
                                                    <div class="form-group">
                                                        <div class="row">
                                                            <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                <select class="select" id="Lang_ID" name="Lang_ID" style="width: 100%">
                                                                    @{foreach (var lang in langs)
                                                                      {
                                                                          if (lang.Lang_ID == Model.Lang_ID)
                                                                          {
                                                                        <option value="@lang.Lang_ID" selected="selected">@lang.Lang_Name</option> 
                                                                          }
                                                                          else
                                                                          {
                                                                        <option value="@lang.Lang_ID" disabled="disabled">@lang.Lang_Name</option>
                                                                          }

                                                                      }
                                                                    }
                                                                </select>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    @{  
                                                                      if (linkObj != null)
                                                                      {
                                                        <div class="form-title">
                                                            Liên kết
                                                        </div>
                                                        <div class="form-group">
                                                            <div class="input-group">
                                                                <span class="input-group-addon">
                                                                    <img src="/Uploaded/images/language/@linkObj.Language.Lang_Flag">
                                                                </span>
                                                                @* <span class="input-group-btn">
                                                                <button class="btn" type="button">Go</button>

                                                            </span>*@
                                                                <input type="hidden" name="LinkID" value="@linkObj.ModID" />
                                                                @Html.TextBox("linkName", linkObj.ModName, new { @class = "form-control", @readonly = "readonly" })
                                                            </div>
                                                        </div>
                                                                      }

                                                                      if (linkObjs != null)
                                                                      {
                                                        <div class="form-title">
                                                            Liên kết
                                                        </div>
                                                        <div class="form-group">
                                                            @{foreach (var lOb in linkObjs)
                                                              {
                                                                <div class="input-group">
                                                                    <span class="input-group-addon">
                                                                        <img src="/Uploaded/images/language/@lOb.Language.Lang_Flag">
                                                                    </span>

                                                                    <input type="hidden" name="LinkID" value="@lOb.ModID" />
                                                                    @Html.TextBox("linkName", lOb.ModName, new { @class = "form-control", @readonly = "readonly" })
                                                                </div>
                                                              }}

                                                        </div> 
                                                            
                                                                      }
                                                    }
                                                    <div class="form-title">
                                                        Loại xe
                                                    </div>
                                                    <div class="row">
                                                        @*  <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                    <span class="help-block warning">@ViewBag.CateError</span>
                                                                </div>*@

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div id="dvCategoryResults">
                                                                @{Html.RenderAction("_cars_type_edit", "car_manager", new { langID = Model.Lang_ID, typeID = Model.TypeID }); }

                                                            </div>
                                                            @*<span class="help-block warning">@Html.ValidationMessageFor(p => p.NewCatID)</span>*@
                                                        </div>

                                                    </div>
                                                    <div class="form-title">
                                                        Khu vực hiển thị
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="list_border">
                                                                <div class="col-lg-12 col-sm-12 col-xs-12">
                                                                    @{var vip = Model.CarViewTypes.FirstOrDefault(p => p.ViewType == 1);

                                                                      if (vip != null)
                                                                      {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="CarView" type="checkbox" value="1" checked="checked" />
                                                                                <input type="hidden" value="false" /><span class="text">Xe VIP</span></label>
                                                                        </div>  
                                                                      }
                                                                      else
                                                                      {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="CarView" type="checkbox" value="1" />
                                                                                <input type="hidden" value="false" /><span class="text">Xe VIP</span></label>
                                                                        </div>     
                                                                      }

                                                                      var cskh = Model.CarViewTypes.FirstOrDefault(p => p.ViewType == 2);

                                                                      if (cskh != null)
                                                                      {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="CarView" type="checkbox" value="2" checked="checked" />
                                                                                <input type="hidden" value="false" /><span class="text">Xe yêu thích</span></label>
                                                                        </div>
                                                                      }
                                                                      else
                                                                      {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="CarView" type="checkbox" value="2" />
                                                                                <input type="hidden" value="false" /><span class="text">Xe yêu thích</span></label>
                                                                        </div>    
                                                                      }

                                                                      var taixe = Model.CarViewTypes.FirstOrDefault(p => p.ViewType == 3);

                                                                      if (taixe != null)
                                                                      {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="CarView" type="checkbox" value="3" checked="checked" />
                                                                                <input type="hidden" value="false" /><span class="text">Xe tiết kiệm</span></label>
                                                                        </div>
                                                                      }
                                                                      else
                                                                      {
                                                                        <div class="checkbox">
                                                                            <label>
                                                                                <input class="colored-danger" name="CarView" type="checkbox" value="3" />
                                                                                <input type="hidden" value="false" /><span class="text">Xe tiết kiệm</span></label>
                                                                        </div>    
                                                                      }
                                                                    }
                                                                </div>
                                                            </div>
                                                        </div>
                                                    </div>
                                                    <div class="form-title">
                                                        Thông số
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label for="emailInput">@Html.LabelFor(model => model.ModPrice)</label>
                                                                <div class="input-group">

                                                                    @{if (Model.ModPrice != null)
                                                                      {
                                                                        <input class="form-control moneymask" id="price" name="price" type="text" value="@Model.ModPrice">
                                                                      }
                                                                      else
                                                                      {
                                                                        <input class="form-control moneymask" id="price" name="price" type="text" value="0">
                                                                      }}
                                                                    <span class="input-group-addon">VND</span>
                                                                </div>
                                                            </div>
                                                        </div>

                                                    </div>

                                                    <div class="form-title">
                                                        Trạng thái
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                @{if (Model.IsActive == true)
                                                                  {
                                                                    <div class="checkbox">
                                                                        <label>
                                                                            <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" checked="checked" />
                                                                            <input type="hidden" value="false" /><span class="text">Hiển trị</span></label>
                                                                    </div>
                                                                  }
                                                                  else
                                                                  {
                                                                    <div class="checkbox">
                                                                        <label>
                                                                            <input id="IsActive" class="colored-danger" name="IsActive" type="checkbox" value="true" />
                                                                            <input type="hidden" value="false" /><span class="text">Hiển trị</span></label>
                                                                    </div>
                                                                  }}

                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="form-title">
                                                        Ảnh
                                                    </div>
                                                    <div class="row">
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <span class="help-block">Ảnh có định dạng .png, .jpg ... ! </span>
                                                            <span class="help-block warning">@ViewBag.Mess</span>
                                                        </div>

                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label>Ảnh đại diện</label>
                                                                @Html.HiddenFor(m => m.ModImage)
                                                                @{if (Model.ModImage != null)
                                                                  {
                                                                    @(Html.Kendo().Upload()
                                                                        .Name("file_image")
                                                                        .TemplateId("fileTemplate")
                                                                        .Events(events => events.Select("onSelect"))
                                                                        .Messages(m => m.Select("Upload ảnh"))
                                                                        .Multiple(false)
                                                                        .Async(ass => ass
                                                                        .Save("updateImageCarMod", "car_manager", new { id = Model.ModID })
                                                                        .AutoUpload(true))
                                                                        .Messages(m => m.Select("Upload ảnh"))
                                                                        .Messages(m => m.UploadSelectedFiles("Upload"))
                                                                        .Files(
                                                                        files =>
                                                                        {
                                                                            files.Add().Name(Model.Folder + "/" + Model.ModImage);
                                                                        })
                                                                       )
                                                                    <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                    <span class='k-progress'></span>
                                                                    <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#' src='/Uploaded/Images/dongxe/#=name#'/> <!-- here im trying to bind the image -->
                                                                    <span class='k-filename'>#=name#</span>
                                                                    <strong class="k-upload-status">
                                                                        <button type="button" class="k-button k-button-bare k-upload-action">
                                                    
                                                                        </button>
                                                                    </strong>

                                                                    </script>
                                                                  }
                                                                  else
                                                                  {
                                                                    @(Html.Kendo().Upload()
                                                                    .Name("file_image")
                                                                    .TemplateId("fileTemplate")
                                                                    .Events(events => events.Select("onSelect"))
                                                                        .Messages(m => m.Select("Upload ảnh"))
                                                                        .Multiple(false)

                                                                       )
                                                                    <script id="fileTemplate" type="text/x-kendo-template">
    
                                                                <span class='k-progress'></span>
                                                                <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                <span class='k-filename'>#=name#</span>
                                                                <strong class="k-upload-status">
                                                                    <button type="button" class="k-button k-button-bare k-upload-action">
                                                  
                                                                    </button>
                                                                </strong>

                                                                    </script>
                                                                  }}
                                                            </div>
                                                        </div>
                                                        <div class="col-lg-12 col-sm-12 col-xs-12">
                                                            <div class="form-group">
                                                                <label>Ảnh slide</label>
                                                                @{   var imageInCar = Model.CarModelsImages.ToList();
                                                                     if (imageInCar.Count() > 0)
                                                                     {
                                                                    @(Html.Kendo().Upload()
                                                                        .Name("file_images")
                                                                        .TemplateId("filesTemplate")
                                                                        .Events(events => events.Select("onSelect"))
                                                                        .Messages(m => m.Select("Upload ảnh"))
                                                                        .Multiple(true)
                                                                        .HtmlAttributes(new { accept = "image/*" })
                                                                        .Async(ass => ass
                                                                        .Save("updateImageInCarMod", "car_manager", new { id = Model.ModID })
                                                                        .Remove("deleteImageInCarMod", "car_manager", new { id = Model.ModID })
                                                                        .AutoUpload(true))
                                                                        .Messages(m => m.Select("Upload ảnh"))
                                                                        .Messages(m => m.UploadSelectedFiles("Upload"))
                                                                        .Files(
                                                                        files =>
                                                                        {
                                                                            foreach (var img in imageInCar)
                                                                            {
                                                                                files.Add().Name(img.Folder + "/" + img.ImageName);
                                                                            }

                                                                        })
                                                                       )
                                                                    <script id="filesTemplate" type="text/x-kendo-template">
    
                                                                    <span class='k-progress'></span>
                                                                     <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#' src='/Uploaded/Images/dongxe/#=name#'/> <!-- here im trying to bind the image -->
                                                                    <span class='k-filename'>#=name#</span>
                                                                    <strong class="k-upload-status">
                                                                        <button type="button" class="k-button k-button-bare k-upload-action">
                                                                            <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                                        </button>
                                                                    </strong>

                                                                    </script>
                                                                     }
                                                                     else
                                                                     {
                                                                    @(Html.Kendo().Upload()
                                                                        .Name("file_images")
                                                                        .TemplateId("filesTemplate")
                                                                        .Events(events => events.Select("onSelect"))
                                                                        .Messages(m => m.Select("Upload ảnh"))
                                                                        .Multiple(true)
                                                                        .HtmlAttributes(new { accept = "image/*" })
                                                                       )
                                                                    <script id="filesTemplate" type="text/x-kendo-template">
    
                                                                        <span class='k-progress'></span>
                                                                        <img class='k-icon k_img_one #=addExtensionClass(files[0].extension)#'/> <!-- here im trying to bind the image -->
                                                                        <span class='k-filename'>#=name#</span>
                                                                        <strong class="k-upload-status">
                                                                            <button type="button" class="k-button k-button-bare k-upload-action">
                                                                                <span class="k-icon k-i-close k-delete" title="Remove"></span>
                                                                            </button>
                                                                        </strong>

                                                                    </script>
                                                                     }}
                                                            </div>
                                                        </div>

                                                    </div>

                                                </div>

                                            </div>

                                        </div>
                                    </div>


                                </div>
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
}

<script>



    function onSelectFile(e) {
        var files = e.files;

        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.doc', '.docx', '.xls', '.xlsx', '.pdf', '.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');

                e.preventDefault();
                $('#modal-warning-file').modal('show')
            }
        });

        function appendText() {

        }

    }
    var a = 0;
    function onSelect(e) {
        //check image size
        //read file
        $.each(e.files, function (index, value) {
            readMultipleFiles(value);
        });
        //check type file
        $.each(e.files, function (index, value) {
            var ext = e.files[index].extension.toLowerCase();
            if ($.inArray(ext, ['.gif', '.jpeg', '.jpg', '.png']) == -1) {
                //alert('Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png');
                $('#modal-warning').modal('show')
                e.preventDefault();
            }

        });



        a++;
    }
    //set class for <img/>
    function addExtensionClass(extension) {
        return 'viewImg' + a;
    }
    //set src for <img/>
    function readMultipleFiles(file) {
        var reader = new FileReader();
        reader.onload = function (e) {
            // bind the file content
            $('.viewImg' + a + '').attr({ src: e.target.result });
        }
        reader.readAsDataURL(file.rawFile);
    }
</script>


<div class="modal fade modal-message modal-warning" id="modal-warning-file" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload file có định dạng .doc, .docx, .xls, .xlsx, .pdf, .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade modal-message modal-warning" id="modal-warning" aria-hidden="false">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <i class="fa fa-warning"></i>
            </div>
            <div class="modal-title">
                Thông báo
            </div>
            <div class="modal-body">
                Bạn chỉ có thể upload ảnh có định dạng .gif, .jpeg, .jpg, .png
            </div>
            <div class="modal-footer">
                <button data-dismiss="modal" class="btn btn-warning " type="button" name="back" value="OK">Ok</button>
            </div>
        </div>
    </div>
</div>



@section PageScripts{

    <script src="/Static/admin/assets/js/jasny-bootstrap.min.js"></script>

    <!--Jquery Autosize-->
    <script src="/Static/admin/assets/js/textarea/jquery.autosize.js"></script>

    <script>

        $('.textAuto').autosize({ append: "\n" });

        //$('select[id=Lang_ID]').change(function () {
        //    $('')
        //    alert($(this).val()
        //        );
        //});


        //$('#Lang_ID').change(function () {
        //    /* Get the selected value of dropdownlist */
        //    var langIDS = $(this).val();
        //    $('#selectLang').val = langIDS;
        //    $("#dvCategoryResults").load('/administrators/department_manager/_staff_deps_add?langID=' + langIDS);
        //    //$("#dvPositionResults").load('/administrators/department_manager/_staff_position_add?langID=' + langIDS);

        //});

        $('#DepID').change(function () {
            /* Get the selected value of dropdownlist */
            var depIDS = $(this).val();
            var langDef = $('#langADD').val();
            var linkID = $('#linkIDA').val();
            $("#dvPositionResults").load('/administrators/department_manager/_staff_position_add?depID=' + depIDS + '&langID=' + langDef + '&linkID=' + linkID);

        });

        $(document).ready(function () {

            $("#cars").addClass("active open");
            $("#carmod").addClass("active");
        });

    </script>

    <!--Summernote Scripts-->
    <script src="/Static/admin/assets/js/editors/summernote/summernote.js"></script>
    <script src="/Static/admin/assets/js/editors/summernote/summernote-vi-VN.js"></script>
    <script>

        $(document).ready(function () {
            $('.summernote').summernote({
                onImageUpload: function (files, editor, welEditable) {
                    sendFile(files[0], editor, welEditable);
                }
            });
            function sendFile(file, editor, welEditable) {
                data = new FormData();
                data.append("file", file);//You can append as many data as you want. Check mozilla docs for this
                url = '/administrators/news_manager/uploadImageNews';
                $.ajax({
                    data: data,
                    dataType: 'json',
                    type: "POST",
                    url: url,
                    cache: false,
                    contentType: false,
                    processData: false,
                    success: function (imageUrl) {
                        editor.insertImage(welEditable, imageUrl);
                    },
                    error: function () {
                        alert(file);
                    }
                });
            }
        });

    </script>

}